package com.muyu.auth.domain.request;

import com.muyu.auth.domain.jsr303_group.AutLoginGroup;
import com.muyu.auth.domain.jsr303_group.TelLoginGroup;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description: 用户登录请求参数
 * @Version 1.0.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserLoginReq {
    /**
     * 用户账号
     */
    @NotBlank(message = "账号不能为空",groups = {AutLoginGroup.class})
    private String userAut;
    /**
     * 用户密码
     */
    @NotBlank(message = "密码不能为空",groups = {AutLoginGroup.class})
    private String userPwd;
}
