package com.muyu.auth.service;

import com.muyu.auth.domain.request.UserLoginReq;
import com.muyu.auth.domain.response.TokenLoginRes;
import com.muyu.cloud.system.domain.User;

import java.io.InputStream;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description: 鉴权业务层接口
 * @Version 1.0.0
 */
public interface AuthService {
    /**
     * 登录
     * @param userLoginReq 登录请求参数
     * @return token
     */
    TokenLoginRes login(UserLoginReq userLoginReq);

    /**
     * loginInfo
     * @param userKey 请求头中获取userKey
     * @return 从redis中获取用户信息
     */
    User loginInfo(String userKey);

    /**
     * loginOut
     * @param userKey 请求头中获取userKey
     */
    void loginOut(String userKey);


}
