package com.muyu.kafka.consumer;


import com.muyu.common.redis.service.RedisService;
import com.muyu.kafka.constants.KafkaConstants;
import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.springframework.data.redis.core.BoundSetOperations;
import org.springframework.kafka.support.Acknowledgment;
import org.springframework.stereotype.Component;

import java.text.MessageFormat;
import java.util.HashSet;
import java.util.Set;
import java.util.UUID;

@Component
@AllArgsConstructor
@Log4j2
public class KafkaConsumer {

    private final RedisService redisService;

    private final Set<String> set = new HashSet<>();

    /**
     * topics: 主题
     * containerFactory ： 消费者监听容器工厂
     *  errorHandler： 消费异常处理器
     *
     *  consumerRecord: 消息记录对象
     *  acknowledgment： 收到确认 提交偏移量
     */
//    @KafkaListener(topics = "muyu-topic", containerFactory = "kafkaListenerContainerFactory",
//            errorHandler = "myKafkaListenerErrorHandler")
    public void helloWorldKafkaConsumer(ConsumerRecord<Object, Object> consumerRecord, Acknowledgment acknowledgment) {
        String key = (String) consumerRecord.key();

        Long add = redisService.redisTemplate.opsForSet().add(KafkaConstants.KafkaTopic,key);

        if (add == 1) {
            Object obj = consumerRecord.value();
            log.info(MessageFormat.format("消息的key：{0}, value：{1}", key, obj));


            // 手动确认 提交
            acknowledgment.acknowledge();
        }else {
            System.out.println("消息的key：" + key +  "已存在");
            // 手动确认 提交
            acknowledgment.acknowledge();
        }
    }


}
