package com.muyu.kafka.producer;


import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description: kafka生产者
 * @Version 1.0.0
 */
@Component
@AllArgsConstructor
@Log4j2
public class KafkaProducer {

    private final KafkaTemplate<Object, Object> kafkaTemplate;;

    /**
     * 发送消息
     * @return
     */
    @Transactional
    public void sendMessage(String topic, String key, Object o) {
        log.info("【topic:{},key:{}】开始发送消息~~~~消息内容：【{}】",topic,key,o);
        kafkaTemplate.send(topic, key, o);
        log.info("【topic:{},key:{}】开始消息发送成功",topic,key);
    }

}
