package com.muyu.cloud.search.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description:
 * @Version 1.0.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Use extends Car{

    private Integer useId;
    private Integer userId;
    private String userName;
    /**
     * 开始使用时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date carUseDate;
    /**
     * 类型单价
     */
    private BigDecimal typePrice;
    /**
     * 用车时长（分钟）
     */
    private Long useDuration;
    /**
     * 行驶距离
     */
    private Double useDistance;
    /**
     * 费用
     */
    private BigDecimal useCost;
    /**
     * 手机号
     */
    private String userAut;

}
