package com.muyu.search.controller;

import com.muyu.cloud.search.domain.Type;
import com.muyu.cloud.search.domain.Use;
import com.muyu.cloud.search.domain.request.CarListReq;
import com.muyu.cloud.search.domain.response.CarListRes;
import com.muyu.common.result.Result;
import com.muyu.search.service.CarService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description:
 * @Version 1.0.0
 */
@RestController
@RequestMapping("/car")
@AllArgsConstructor
public class CarController {

    private final CarService carService;

    @PostMapping("/showList")
    public Result<CarListRes> showList(@RequestBody CarListReq carListReq){
        return Result.success(carService.showList(carListReq));
    }

    @PutMapping("/updateStatus")
    public Result<?> updateStatus(@RequestBody Use use){
        carService.updateStatus(use);
        return Result.success();
    }

    @GetMapping("/typeAll")
    public Result<List<Type>> typeAll(){
        return Result.success(carService.typeAll());
    }

}
