package com.muyu.system;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description: 系统服务启动类
 * @Version: 1.0.0
 */
@SpringBootApplication
@EnableFeignClients(basePackages = {"com.muyu.**"})
@EnableScheduling
@EnableDiscoveryClient
public class CloudSystemApplication {

    public static void main(String[] args) {
        SpringApplication.run(CloudSystemApplication.class, args);
    }
}
