package com.muyu.system.controller;

import com.muyu.cloud.search.domain.Use;
import com.muyu.cloud.system.domain.User;
import com.muyu.system.service.UserService;
import com.muyu.common.result.Result;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description: 用户控制层
 * @Version 1.0.0
 */
@RestController
@RequestMapping("/user")
@AllArgsConstructor
public class UserController {

    private final UserService userService;

    /**
     * 根据账号查询用户信息
     * @param userAut 用户账号
     * @return 用户信息
     */
    @GetMapping("/findByUserAut/{userAut}")
    public Result<User> findByUserAut(@PathVariable("userAut") String userAut) {
        return Result.success(userService.findByUserAut(userAut));
    }


    @PostMapping("/feeDeduction")
    public Result<?> feeDeduction(@RequestBody Use use) {
        userService.feeDeduction(use);
        return Result.success();
    }

}
