package com.muyu.system.service.impl;

import com.muyu.cloud.search.domain.Use;
import com.muyu.cloud.system.domain.User;
import com.muyu.common.redis.service.RedisService;
import com.muyu.system.mapper.UserMapper;
import com.muyu.system.service.UserService;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description:
 * @Version 1.0.0
 */
@Service
@AllArgsConstructor
public class UserServiceImpl implements UserService {

    private final UserMapper userMapper;

    /**
     * 根据账号查询用户信息
     * @param userAut 用户账号
     * @return 用户信息
     */
    @Override
    public User findByUserAut(String userAut) {
        return userMapper.findByUserAut(userAut);
    }


    @Override
    public void feeDeduction(Use use) {
        userMapper.feeDeduction(use);
    }

}
